DtMmdbSectionGetLoc(library call)

NAME
DtMmdbSectionGetLoc — obtains a section's locator

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbSectionGetLoc(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbSectionGetLoc function returns the logical identifier for the specified section. Do not use the free function on the returned pointer. No table lookup is involved.

The space used by the returned locator pointer is likely to be reused by the database engine when any of the API functions are invoked again. You must make a copy of the content if you want to retain it across multiple API calls. This behavior holds true for all functions that return a const char* pointer.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the section's Database Engine (object) identifier in the primary_oid field. The DtInfo Database Engine identifier is assigned to the section when it is stored.

RETURN VALUE

If DtMmdbSectionGetLoc completes successfully, it returns a pointer to a NULL-terminated locator string. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetLoc call might be coded.

const char* locator = 0;
DtMmdbInfoRequest request;
int bd  = DtMmdbGetBookCase(myInfoLibPtr, "myBase");
if ( bd  >= 0) {
   request.bookcase_descriptor = bd;
   request.sequence_num = 1;
   request.primary_oid = DtMmdbBookGetTocObjectId(&&request);
   locator = DtMmdbSectionGetLoc(&&request);
}

SEE ALSO

TO BE SUPPLIED